https://bitbucket.org/Coin3D/coin/commits/9099b117765e03f96bd38ffd9cf58d055b07a4b4

--- include/Inventor/C/base/math-undefs.h.orig
+++ include/Inventor/C/base/math-undefs.h
@@ -38,7 +38,14 @@
   This block was originally part of Inventor/C/basic.h, but since the
   #undef's were mangled by the config.status process, it did not really
   work as intended.  20070518 larsa
-*/
+ 
+ cmath from "The LLVM Compiler Infrastructure" uses float-versions of the
+ math functions below. Therefore don't undefine them when __clang__ is
+ defined.
+ 
+ */
+
+#ifndef __clang__
 
 #undef cosf
 #define cosf(x) NO_SINGLEPREC /* whatever that'll give us a compile error... */
@@ -59,6 +66,9 @@
 #undef atan2f
 #define atan2f(x) NO_SINGLEPREC
 
+#endif // !__clang__
+
+
 /* *********************************************************************** */
 
 #endif // !COIN_MATH_UNDEFS_H
